org.apache.sysds.hops.estim

## Class EstimatorBitsetMM.BitsetMatrix

- java.lang.Object
- - org.apache.sysds.hops.estim.EstimatorBitsetMM.BitsetMatrix

Direct Known Subclasses:
  EstimatorBitsetMM.BitsetMatrix1, EstimatorBitsetMM.BitsetMatrix2

Enclosing class:
  EstimatorBitsetMM

    public abstract static class EstimatorBitsetMM.BitsetMatrix
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`BitsetMatrix(int rlen, int clen)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract boolean` `get(int r, int c)`
`long` `getNonZeros()`
`int` `getNumColumns()`
`int` `getNumRows()`
`EstimatorBitsetMM.BitsetMatrix` `matMult(EstimatorBitsetMM.BitsetMatrix m2)`
`abstract void` `set(int r, int c)`
`EstimatorBitsetMM.BitsetMatrix` `transpose()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BitsetMatrix

    public BitsetMatrix(int rlen,
                        int clen)

### Method Detail

#### getNumRows

    public int getNumRows()

#### getNumColumns

    public int getNumColumns()

#### getNonZeros

    public long getNonZeros()

#### get

    public abstract boolean get(int r,
                                int c)

#### set

    public abstract void set(int r,
                             int c)

#### matMult

    public EstimatorBitsetMM.BitsetMatrix matMult(EstimatorBitsetMM.BitsetMatrix m2)

#### transpose

    public EstimatorBitsetMM.BitsetMatrix transpose()